#!/usr/bin/perl

# usage: ./phist2dat.pl input.phist > output.dat

# make a DAT (RPI-format log file) from a PHIST (trajectory file).
# inserts useless dummy information as scans since the log file reader
# expects scan data.

open IN, "<$ARGV[0]" or die "Can't open $ARGV[1]: $!";

print "# laser-offset 0.0 0.0 0.0\n";
print "# laser-angles 2 0.0 1.0 1.0\n"; # completely bogus

while(<IN>) {
    print "P $_";
    print "L 0.0 0.0\n";
}

close IN;
