function makefigs

% allplots('sim-4','fs2-ran',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','fs2-res',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','fs2-gen-a0.2',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','fs2-gen-a0.5',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','fs2-gen-a0.8',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','rough-ran-l1',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','rough-ran-l5',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','rough-ran-l10',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','block-ran-l1',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','block-ran-l5',1000,'fs2-ran',2,500,0.0002,500);
% allplots('sim-4','block-ran-l10',1000,'fs2-ran',2,500,0.0002,500);
% 
% allplots('sim-6','fs2-ran',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','fs2-res',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','fs2-gen-a0.2',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','fs2-gen-a0.5',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','fs2-gen-a0.8',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','rough-ran-l1',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','rough-ran-l5',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','rough-ran-l10',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','block-ran-l1',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','block-ran-l5',1000,'fs2-ran',2,500,0.07,500);
% allplots('sim-6','block-ran-l10',1000,'fs2-ran',2,500,0.07,500);

allplots('car-park','fs2-ran',100,'fs2-ran',2,500,0.0002,500);
%allplots('car-park','fs2-res',100,'fs2-ran',2,500,0.0002,500);
%allplots('car-park','fs2-gen-a0.2',100,'fs2-ran',2,500,0.0002,500);
%allplots('car-park','fs2-gen-a0.5',100,'fs2-ran',2,500,0.0002,500);
%allplots('car-park','fs2-gen-a0.8',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','rough-ran-l1',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','rough-ran-l5',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','rough-ran-l10',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','block-ran-l1',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','block-ran-l5',100,'fs2-ran',2,500,0.0002,500);
allplots('car-park','block-ran-l10',100,'fs2-ran',2,500,0.0002,500);



function allplots(sim,alg,neesmax,ratiocomp,ratiomax,neffmax,varmax,uniquemax)
fprintf(1,'Simulation: %s  Algorithm: %s\n', sim, alg);
nees=neesplot(sim,alg,neesmax);
%ratioplot(sim,alg,ratiomax,nees,ratiocomp)
%neffplot(sim,alg,neffmax);
%varplot(sim,alg,varmax);
%uniqueplot(sim,alg,uniquemax);

function nees = neesplot(sim,alg,max)
[nees,m,n]=meannees(['../results/' sim '/' alg '/mc-'],50,['../results/' sim '/input/sim-truth.phist']);
%niceplot(nees,[1 length(nees)],[0 max]);
niceplot(nees,[1 length(nees)],[0 max],12,1);
print('-depsc',[sim '-nees-' alg '.eps']);
close;

function ratioplot(sim,alg,max,nees,ratiocomp)
[basenees,m,n]=meannees(['../results/' sim '/' ratiocomp '/mc-'],50,['../results/' sim '/input/sim-truth.phist']);
ratio=neesratio(nees,basenees);
niceplot(ratio,[1 length(ratio)],[0 max],6,1);
print('-depsc',[sim '-ratio-' alg '.eps']);
close;

function neffplot(sim,alg,max)
neff=meanneff(['../results/' sim '/' alg '/mc-'],50);
niceplot(neff,[1 length(neff)],[1 max],12);
print('-depsc',[sim '-neff-' alg '.eps']);
close;

function varplot(sim,alg,max)
v=meanhistoryvar(['../results/' sim '/' alg '/mc-'],50);
niceplot(v,[1 length(v)],[0 max]);
%yticklabel{1}='0';
%yticklabel{2}=sprintf('%1.0e',max);
%set(gca,'yticklabel',yticklabel);
print('-depsc',[sim '-var-' alg '.eps']);
close;

function uniqueplot(sim,alg,max)
u=reverse(meanunique(['../results/' sim '/' alg '/mc-'],50));
niceplot(u,[1 length(u)],[0 max]);
print('-depsc',[sim '-unique-' alg '.eps']);
close;
